/* Required height of parents of the Full Page Carousel for proper displaying carousel itself */

html,
body,
.view {
    height: 100%;
}


/* Full Page Carousel itself*/

.carousel {
    height: 100%;
}

.carousel .carousel-inner {
    height: 100%;
}

.carousel .carousel-inner .carousel-item,
.carousel .carousel-inner .active {
    height: 100%;
}


/* Navbar animation */

.navbar {
    background-color: rgba(0, 0, 0, 0.2);
}

.top-nav-collapse {
    background-color: #1C2331;
}


/* Adding color to the Navbar on mobile */

@media only screen and (max-width: 768px) {
    .navbar {
        background-color: #1C2331;
    }
}


/* Footer color for sake of consistency with Navbar */

.page-footer {
    background-color: #1C2331;
}

.card-img-top {
    transition: all .2s ease-in-out;
}

.card-img-top:hover {
    transform: scale(1.05);
}


/*background image style*/

.homepageimg {
    background-image: url('../img/unnamed.jpg');
}

@media (min-width: 767px) {
    .restaurantimg {
        background-image: url('../img/food1.jpg');
    }
}

@media (max-width: 767px) {
    .restaurantimg {
        background-image: url('../img/food2.jpg');
    }
}

.parallax {
    /* Full height */
    height: 100vh;
    /* Create the parallax scrolling effect */
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

@media (max-width: 767px){
    .parallax {
        /* Full height */
        height: auto;
        /* Create the parallax scrolling effect */
        background-attachment: fixed;
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
    }
}

.accommodationimg1 {
    /* The image used */
    background-image: url('../img/Image-62.jpg');
}

.accommodationimg2 {
    /* The image used */
    background-image: linear-gradient(rgba(28, 35, 49, 0.3), rgba(28, 35, 49, 0.3)), url('../img/Image-62.jpg');
}

.commerceimg {
    /* The image used */
    background-image: url('../img/ecommerce.jpg');
}
.preorderfoodimg {
    /* The image used */
    background-image: url('../img/peking-duck-2629784_1920.jpg');
    height: 650px;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    opacity: 0.9;
}

.hotelimg {
    /* The image used */
    background-image: url('../img/snowfall.jpg');
    height: 400px;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    opacity: 0.8;
}

.hotelimage {
    background-repeat: no-repeat;
    background-size: cover;
}

.contactusimg {
    background-image: url('../img/aurora.jpg');
    height: 400px;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    opacity: 0.8;
}

.galleryimg {
    background-color: rgba(28, 35, 49, 0.9);
    height: 40vh;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}


/* contact page open hours style*/

@media (max-width: 767px) {
    .openhourstyle {
        width: 100vw;
    }
}

@media (min-width: 767px) {
    .openhourstyle {
        width: 40vw;
        margin-left: 30vw
    }
}

.text-vertical {
    vertical-align: middle;
    padding-top: 40vh;
}

.tourbackground {
    margin-top: -100px;
    background: -webkit-gradient(linear, left top, left bottom, from(rgba(28, 35, 49, 0.1))), url("../img/snowflakesbg.jpg");
    background: linear-gradient(rgba(28, 35, 49, 0.1)), url("../img/snowflakesbg.jpg");
    background-attachment: fixed;
    background-position: center;
    background-size: cover;
    font-family: 'Raleway';
}

.hide-text {
    text-indent: 100%;
    white-space: nowrap;
    overflow: hidden;
    margin-bottom: 0;
}

.topmarginstyle {
    margin-top: 10vh;
}

.toppaddingstyle {
    padding-top: 10vh;
}

.bottompaddingstyle {
    padding-bottom: 5vh;
}

.leftrightmarginstyle {
    margin-left: 10vw;
    margin-right: 10vw;
}


/*contact page map*/

.iframe-rwd {
    position: relative;
    padding-bottom: 80.25%;
    padding-top: 30px;
    height: 0;
    overflow: hidden;
}

.iframe-rwd iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}


/*nav bar hover and dropdown css*/

.mobile-nav {
    display: none;
}

.dropbtn {
    background: transparent;
    border: none;
}

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    background: rgba(28, 35, 49, 0.4);
    display: none;
    position: absolute;
    z-index: 1;
}

.dropdown-content a {
    text-decoration: none;
    display: block;
}

.dropdown-content a:hover {
    background-color: transparent;
}

.dropdown:hover {
    display: block;
}

.dropdown-toggle::after {
    display: none;
}

@media (max-width: 767px) {
    .mobile-nav {
        display: block;
    }
    .dropdown-content {
        position: static;
        float: right;
    }
    .showif_ismobile {
        display: block !important;
    }
    .hideif_mobile {
        display: none !important;
    }
}

@media (min-width: 767px) {
    .navbar-nav>li:hover>.dropdown-content {
        display: block;
    }
    .showif_ismobile {
        display: none !important;
    }
    .hideif_mobile {
        display: block !important;
    }
}


/*nav bar hover and dropdown css*/


/*commerce page product css*/

.product {
    margin-top: 60px;
    margin-bottom: -15px;
}

.product .product-item {
    position: relative;
    display: block;
    max-width: 25rem;
    margin-bottom: 15px;
}

.product .product-item .product-item-caption {
    -webkit-transition: all ease 0.5s;
    transition: all ease 0.5s;
    opacity: 0;
    background-color: rgba(28, 35, 49, 0.2);
}

.product .product-item .product-item-caption:hover {
    opacity: 1;
}

.product .product-item .product-item-caption .product-item-caption-content {
    font-size: 1.5rem;
}

@media (min-width: 576px) {
    .product {
        margin-bottom: -30px;
    }
    .product .product-item {
        margin-bottom: 30px;
    }
}


/*commerce page product css*/

.showcase .showcase-text {
    padding: 3rem;
}

.showcase .showcase-img {
    min-height: 30rem;
    background-size: cover;
}

@media (min-width: 768px) {
    .showcase .showcase-text {
        padding: 7rem;
    }
}

.galleryimghoverstyle {
    transition: all .2s ease-in-out;
}

.galleryimghoverstyle:hover {
    -ms-transform: scale(1.1);
    -moz-transform: scale(1.1);
    -webkit-transform: scale(1.1);
    -o-transform: scale(1.1);
    transform: scale(1.1);
}


/*hr style*/

hr.style-two {
    border: 0;
    height: 1px;
    background-image: linear-gradient(to right, rgba(255, 255, 255, 0), rgba(255, 255, 255, 0.75), rgba(255, 255, 255, 0));
}

hr.style-one {
    border: 0;
    height: 1px;
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0));
}

.formsize {
    display: block;
    height: calc(1.5em + .75rem + 2px);
    padding: .375rem .75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.btn-noline {
    white-space: nowrap;
    text-align: center;
}

.filterDiv {
    display: none;
    /* Hidden by default */
}

.filterDivShow {
    display: block;
}

.is-animated {
    animation: .6s zoom-in;
}


/*NOTE: On lower resolutions, this height is set to 0. See MediaQuery below, fixes product name text and price overlap. */

.productName {
    height: 5vh;
}

.card-text {
    text-align: right;
}


/*campervans img size*/

.campervansimgsize {
    height: 100%;
    width: 100%;
}


/*hotel styles*/

.centering {
    padding: 5%;
}

.roombackground {
    position: relative;
    width: 100%;
    padding-top: 30%;
    padding-bottom: 30%;
    background: url("../img/foggy-birds.png"), #655ba0;
}

.roombackground:hover {
    position: relative;
    width: 100%;
    padding-top: 30%;
    padding-bottom: 30%;
    background: #655ba0;
}

.infomationbackground {
    position: relative;
    width: 100%;
    padding-top: 30%;
    padding-bottom: 30%;
    background: url("../img/foggy-birds.png"), #e47d76;
}

.infomationbackground:hover {
    position: relative;
    width: 100%;
    padding-top: 30%;
    padding-bottom: 30%;
    background: #e47d76;
}

.moreinfobackground {
    position: relative;
    width: 100%;
    padding-top: 125px;
    padding-bottom: 125px;
    background: url("../img/foggy-birds.png"), #539772;
}

.moreinfobackground:hover {
    position: relative;
    width: 100%;
    padding-top: 125px;
    padding-bottom: 125px;
    background: #539772;
}

.hotelinfohoverstyle {
    transition: all .2s ease-in-out;
}

.hotelinfohoverstyle:hover {
    -ms-transform: scale(0.9);
    -moz-transform: scale(0.9);
    -webkit-transform: scale(0.9);
    -o-transform: scale(0.9);
    transform: scale(0.9);
}

.infotextsize {
    font-size: 300%;
}

div.vertical-line {
    width: 0px;
    /* Use only border style */
    height: 100%;
    float: left;
    border: 1px inset;
    /* This is default border style for <hr> tag */
}

.hotelContainerMobile {
    height: 30vh;
}

.hotelPriceText {
    font-size: 1.5em !important;
}

@media only screen and (max-width: 768px) {
    .hotelMobileHide {
        display: none;
    }
    .hotelPriceText {
        font-size: 1.0em !important;
    }
}

.preorderfoodbg {
    background-color: black;
}

.preOrderFoodNav a{
    color: white;
    font-size: large;
    font-family: "Roboto", sans-serif;
}
.pekingduckbg1{
    background-image: url("../img/preorderfood/bg1opacity.png");
    background-repeat: no-repeat;
    height: 500px;  
    background-position: center;  
    background-size: cover; 
}

.pekingduckbg2{
    /* background-image: url("../img/preorderfood/bg2opacity.png"); */
    padding-top: 5vh;
    background-repeat: no-repeat;
    width: 85vw;
    height: 500px;  
    background-position: center;  
    background-size: cover; 
}
.pekingduckbg3{
    margin-top: 40px;
    background-image: url("../img/preorderfood/bg3opacity.png");
    background-repeat: no-repeat;
    margin-left: 5vw;
    height: 500px;  
    background-position: center;  
    background-size: cover; 
}

.preorderfoodimg1 {
    /* The image used */
    background-image:linear-gradient(rgba(28, 35, 49, 0.4), rgba(28, 35, 49, 0.4)), url('../img/preorderfood/bgopa.jpg');
    height: auto;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-color: black;
}

.preorderfoodimg2 {
    /* The image used */
    background-image:linear-gradient(rgba(28, 35, 49, 0.4), rgba(28, 35, 49, 0.4)), url('../img/preorderfood/hotpot2.jpg');
    height: auto;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-color: black;
}

.preorderfoodimg3 {
    /* The image used */
    background-image:linear-gradient(rgba(28, 35, 49, 0.719), rgba(28, 35, 49, 0.801)), url('../img/preorderfood/hotpot1.jpg');
    height: auto;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-color: black;
}

.hotpotrotate {
    -ms-transform: rotate(20deg); 
    transform: rotate(20deg);
}
.hrwhite{
    display: block; height: 1px;
    border: 0; border-top: 1px solid #ccc;
    margin: 1em 0; padding: 0; 
}

@media only screen and (min-width: 767px){
    .pekingducktext1{
        margin-left: 40vw;
        padding-top: 5vh;
        margin-right: 20vw;
    }
    
    .pekingducktext2{
        margin-left: 5vw;
        padding-top: 10vh;
        margin-right: 55vw;
    }
    
    .pekingducktext3{
        margin-left: 48vw;
        padding-top: 5vh;
        margin-right: 15vw;
    }
    
    .pekingduckpricetext{
        margin-left: 20vw;
        padding-top: 5vh;
        margin-right: 20vw;
    }
}

@media only screen and (max-width: 768px){
    
    .pekingducktext1{
        margin-left: 5vw;
        padding-top: 5vh;
        margin-right: 5vw;
    }
    
    .pekingducktext2{
        margin-left: 5vw;
        padding-top: 10vh;
        margin-right: 5vw;
    }
    
    .pekingducktext3{
        margin-left: 5vw;
        padding-top: 5vh;
        margin-right: 5vw;
    }
    
    .pekingduckpricetext{
        margin-left: 5vw;
        padding-top: 5vh;
        margin-right: 5vw;
    }


}

.videocontainer{
    position: relative;
    overflow: hidden;
    width: 100%;    
}

.responsive-iframe {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
  }

h5 a {
    color: white;
}

p a {
    color: black;
}

a:hover {
    color: grey;
}

.hotpotcontainer {
    padding-left: 2vw;
    padding-right: 2vw;
}